Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.hybrid
Class Trigger

    java.lang.Object
      biouml.plugins.simulation.hybrid.Trigger

public class Trigger
extends java.lang.Object

Field Summary
`static java.lang.String` | `AFTER`
`protected double` | `delay` Time delay from the event firing.
`protected Event` | `event` Event that is owner of the trigger.
`protected double` | `executionTime` Time when event action should be executed.
`protected java.lang.String` | `expression` Expression to evaluate the trigger.
`static java.lang.String` | `NONE`
`static java.lang.String` | `SIGNAL`
`protected java.lang.String` | `type` Event type, one of WHEN, AFTER, SIGNAL or NONE.
`static java.lang.String` | `WHEN`

Constructor Summary
`Trigger(java.lang.String type, java.lang.String expression)`

Method Summary
`double` | `getDelay()`
`Event` | `getEvent()`
`double` | `getExecutionTime()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getType()`
`void` | `setDelay(double delay)`
`void` | `setEvent(Event event)`
`void` | `setExecutionTime(double executionTime)`
`void` | `setExpression(java.lang.String expression)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WHEN

    public static final java.lang.String WHEN

See Also:
  Constant Field Values

### AFTER

    public static final java.lang.String AFTER

See Also:
  Constant Field Values

### SIGNAL

    public static final java.lang.String SIGNAL

See Also:
  Constant Field Values

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

### type

    protected java.lang.String type

  Event type, one of WHEN, AFTER, SIGNAL or NONE.

### expression

    protected java.lang.String expression

  Expression to evaluate the trigger. The expression value depends from trigger type: WHEN - boolean expression AFTER - real expression SIGNAL - signal (trigger name)

### event

    protected Event event

  Event that is owner of the trigger. Owner is responsible for trigger action.

### delay

    protected double delay

  Time delay from the event firing.

  Pendung:
    special function should calculate the delay value.

### executionTime

    protected double executionTime

  Time when event action should be executed.

Constructor Detail

### Trigger

    public Trigger(java.lang.String type,
                   java.lang.String expression)

Pendung:
  - check type

Method Detail

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getExpression

    public java.lang.String getExpression()

### setExpression

    public void setExpression(java.lang.String expression)

### getEvent

    public Event getEvent()

### setEvent

    public void setEvent(Event event)

### getDelay

    public double getDelay()

### setDelay

    public void setDelay(double delay)

### getExecutionTime

    public double getExecutionTime()

### setExecutionTime

    public void setExecutionTime(double executionTime)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.